<!doctype html>
<html>
  <head>
    <title>hook-material-card demo</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html">
    <link rel="import" href="../../iron-demo-helpers/demo-snippet.html">

    <link rel="import" href="../hook-material-card.html">

    <style is="custom-style" include="demo-pages-shared-styles">
      .demo-layout {
        width: 100%;
        max-width: 960px;
        margin: 0 auto;
      }
        
      .copy {
        padding: 0 25px;
      }

      @media screen and (max-width: 767px) {
        .copy-alternate-layout {
          -webkit-align-items: flex-start;
                  align-items: flex-start;
          -webkit-flex-direction: column;
              -ms-flex-direction: column;
                  flex-direction: column;
        }
        .copy-alternate-layout h1 { -webkit-flex: 1; flex: 1; }
        .copy-alternate-layout p { -webkit-flex: 1; flex: 1; }
      }
    </style>
  </head>
  <body>

    <div class="demo-layout">
      <h3>Basic &#60;hook-material-card&#62; Demo</h3>
      <demo-snippet>
        <template>
          <hook-material-card>

            <img src="http://placekitten.com/g/500/300" alt="placekitten" card-hero>

            <div card-content>
              <div class="copy">
                <h1>Headline</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias velit adipisci minima expedita fugit esse ducimus vel corporis, magni repellat, non, nobis reprehenderit odit illo officiis quas optio obcaecati pariatur.</p>
              </div>
            </div>

          </hook-material-card>
        </template>
      </demo-snippet>

      <h3>&#60;hook-material-card row-reverse&#62; Demo with reverse-layout</h3>
      <demo-snippet>
        <template>
          <hook-material-card row-reverse>
            
            <img src="http://placekitten.com/g/500/300" alt="placekitten" card-hero>

            <div card-content>
              <div class="copy">
                <h1>Headline</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias velit adipisci minima expedita fugit esse ducimus vel corporis, magni repellat, non, nobis reprehenderit odit illo officiis quas optio obcaecati pariatur.</p>
              </div>
            </div>

          </hook-material-card>
        </template>
      </demo-snippet>

      <h3>&#60;hook-material-card vertical&#62; Demo with vertical layout</h3>
      <demo-snippet>
        <template>
          <hook-material-card vertical>
            
            <img src="http://placekitten.com/g/700/200" alt="placekitten" alt="placekitten" card-hero>

            <div card-content>
              <div class="copy">
                <h1>Headline</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias velit adipisci minima expedita fugit esse ducimus vel corporis, magni repellat, non, nobis reprehenderit odit illo officiis quas optio obcaecati pariatur.</p>
              </div>
            </div>

          </hook-material-card>
        </template>
      </demo-snippet>

      <h3>&#60;hook-material-card vertical column-reverse&#62; Demo with vertical reverse-layout</h3>
      <demo-snippet>
        <template>
          <hook-material-card vertical column-reverse>
            
            <img src="http://placekitten.com/g/700/200" alt="placekitten" alt="placekitten" card-hero>

            <div card-content>
              <div class="copy">
                <h1>Headline</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias velit adipisci minima expedita fugit esse ducimus vel corporis, magni repellat, non, nobis reprehenderit odit illo officiis quas optio obcaecati pariatur.</p>
              </div>
            </div>

          </hook-material-card>
        </template>
      </demo-snippet>

      <h3>&#60;hook-material-card vertical&#62; Demo with custom copy-content styles</h3>
      <demo-snippet>
        <template>

          <style>
            .copy-alternate-layout {
              display: -webkit-flex;
              display: flex;
              -webkit-flex-direction: row;
                      flex-direction: row;
              -webkit-align-items: center;
                      align-items: center;
            }
            .copy-alternate-layout h1 { -webkit-flex: 1; flex: 1; }
            .copy-alternate-layout p { -webkit-flex: 3; flex: 3; }
          </style>
          <hook-material-card vertical>

            <img src="http://placekitten.com/g/700/200" alt="placekitten" card-hero>

            <div card-content>
              <div class="copy copy-alternate-layout">
                <h1>Headline</h1>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias velit adipisci minima expedita fugit esse ducimus vel corporis, magni repellat, non, nobis reprehenderit odit illo officiis quas optio obcaecati pariatur.</p>
              </div>
            </div>

          </hook-material-card>
        </template>
      </demo-snippet>

      <h3>&#60;hook-material-card hero-only&#62; Demo with hero-only</h3>
      <demo-snippet>
        <template>
          <hook-material-card hero-only>
            
            <img src="http://placekitten.com/g/700/200" alt="placekitten" alt="placekitten" card-hero>

          </hook-material-card>
        </template>
      </demo-snippet>

    </div>

  </body>
</html>
